Name: pv
Version: 1.3.1
Release: %mkrel 1
Summary: Monitor the progress of data through a pipe
License: Artistic 2.0
Group: Development/Tools
Source: http://www.ivarch.com/programs/sources/pv-1.3.1.tar.gz
Url: http://www.ivarch.com/programs/pv.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline.  It can be inserted into any normal pipeline between two processes
to give a visual indication of how quickly data is passing through, how long
it has taken, how near to completion it is, and an estimate of how long it
will be until completion.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man1
mkdir -p "$RPM_BUILD_ROOT"/usr/share/locale

make DESTDIR="$RPM_BUILD_ROOT" install
%find_lang %{name}

%check
make test

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files -f %{name}.lang
%defattr(-, root, root)
%doc README doc/NEWS doc/TODO doc/COPYING
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog
* Sat Jul 07 2012 Neal <nealbrks0 at gmail dot com> 1.3.1-1pclos2012
- process for 64bit

* Wed Jun 13 2012 Galen Seaman <galen.seaman@comcast.net> 1.3.1-1pclos2012
- build for PCLinuxOS

